FN_FUNCTION_LIST(1)

NAME
fn_function_list -

DESCRIPTION

Lists functions for an application.

USAGE

oci fn function list [OPTIONS]

REQUIRED PARAMETERS

--application-id [text]

    The OCID <https://docs.cloud.oracle.com/iaas/Content/General/Concepts/identifiers.htm> of the application to which this function belongs.

OPTIONAL PARAMETERS

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--display-name [text]

    A filter to return only functions with display names that match the display name string. Matching is exact.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--id [text]

    A filter to return only functions with the specified OCID.

--lifecycle-state [text]

    A filter to return only functions that match the lifecycle state in this parameter. Example: Creating

    Accepted values are:

    ACTIVE, CREATING, DELETED, DELETING, FAILED, INACTIVE, UPDATING

--limit [integer]

    The maximum number of items to return. 1 is the minimum, 50 is the maximum.

    Default: 10

--page [text]

    The pagination token for a list query returned by a previous operation

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    Specifies the attribute with which to sort the rules.

    Default: displayName

•   timeCreated: Sorts by timeCreated. * displayName: Sorts by displayName. * id: Sorts by id.

    Accepted values are:

    displayName, id, timeCreated

--sort-order [text]

    Specifies sort order.

•   ASC: Ascending sort order. * DESC: Descending sort order.

    Accepted values are:

    ASC, DESC

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle